std::shared_future< _Res > Class Template Reference
Concurrency » Futures

## Public Member Functions

| shared_future (const shared_future &__sf) noexcept
| shared_future (future< _Res > &&__uf) noexcept
| shared_future (shared_future &&__sf) noexcept
const _Res & | get () const
shared_future & | operator= (const shared_future &__sf) noexcept
shared_future & | operator= (shared_future &&__sf) noexcept

## Detailed Description

### template<typename _Res>
class std::shared_future< _Res >

Primary template for shared_future.

Definition at line 128 of file future.

The documentation for this class was generated from the following file:

- future